Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn

All Implemented Interfaces:
  EventListener, PartialStateHolder, StateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

Direct Known Subclasses:
  HtmlColumn

    public class UIColumn

extends UIComponentBase

UIColumn is a `UIComponent` that represents a single column of data within a parent `UIData` component.

Field Summary
`static String` | `COMPONENT_FAMILY` The standard component family for this component.
`static String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`UIColumn()` Create a new `UIColumn` instance with default property values.

Method Summary
`String` | `getFamily()` Return the identifier of the component family to which this component belongs.
`UIComponent` | `getFooter()` Return the footer facet of the column (if any).
`UIComponent` | `getHeader()` Return the header facet of the column (if any).
`void` | `setFooter(UIComponent footer)` Set the footer facet of the column.
`void` | `setHeader(UIComponent header)` Set the header facet of the column.

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

  The standard component family for this component.

  See Also:
    Constant Field Values

Constructor Detail

### UIColumn

    public UIColumn()

  Create a new `UIColumn` instance with default property values.

Method Detail

### getFamily

    public String getFamily()

  Description copied from class: `UIComponent`

  Return the identifier of the component family to which this component belongs. This identifier, in conjunction with the value of the `rendererType` property, may be used to select the appropriate `Renderer` for this component instance.

  Specified by:
    `getFamily` in class `UIComponent`

### getFooter

    public UIComponent getFooter()

  Return the footer facet of the column (if any). A convenience method for `getFacet("footer")`.

### setFooter

    public void setFooter(UIComponent footer)

  Set the footer facet of the column. A convenience method for `getFacets().put("footer", footer)`.

  Parameters:
    `footer` - the new footer facet
  Throws:
    `NullPointerException` - if `footer` is `null`

### getHeader

    public UIComponent getHeader()

  Return the header facet of the column (if any). A convenience method for `getFacet("header")`.

### setHeader

    public void setHeader(UIComponent header)

  Set the header facet of the column. A convenience method for `getFacets().put("header", header)`.

  Parameters:
    `header` - the new header facet
  Throws:
    `NullPointerException` - if `header` is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.